#include<iostream>
using namespace std;
int main(){
 long long a,b,L,br=0,e;
 cin>>a>>b>>L;
 bool s[L];
 for(int i=0 ; i<L ; i++){
    s[i]=true;
 }
 /*for(k=a+b ; k<=L ; k++){

 }*/
 for(int x=1 ; x<L ; x++){
    for(int y=1 ; y<L ; y++){
       e=a*x+b*y;
       if(e<=L){
         s[e-1]=false;
       }
    }
 }
 for(int i=0 ; i<L ; i++){
    if(s[i]){
        br++;
    }
 }

  cout<<br;

 return 0;
}
